com.ihr.xbrl.om.taxonomy

## Class XBRLImport

- java.lang.Object
- - com.ihr.xbrl.om.XMLFragment
  - - com.ihr.xbrl.om.taxonomy.XBRLImport

- All Implemented Interfaces:
    HasAdditionalEqualityForReassignation, XBRLRelationshipPoint, Thinable, XMLHasParent, java.lang.Cloneable, javax.xml.namespace.NamespaceContext

      public class XBRLImport
      extends XMLFragment

  The Class XBRLImport.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.xml.namespace.QName` | `importDocNode` The import doc node.

    - ### Fields inherited from class com.ihr.xbrl.om.XMLFragment

      `CONCEPT_LABEL, CONCEPT_QNAME, EASY_TO_READ, ELEMENT_LABEL, EMPTYRELATIONSHIPSITERATORINSTANCE, EMPTYXMLFRAGMENTITERATORINSTANCE, FACT_CONCEPT_DATATYPE, FACT_CONCEPT_LABEL, FACT_QNAME, HIDE_COMMON_ACCURACY, idQName, NO_POSITION, OrderComparator, OrderComparator2, PERIOD_TYPE, PERIOD_VALUE, SHORT_TEXT, SOURCE_DOCUMENT, XPATH, XPOINTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLImport(XBRLTaxonomy parent, java.lang.String namespace, java.lang.String schemaLocation)` Creates an import from java code not using a s9api node.
    `XBRLImport(XBRLTaxonomy parent, net.sf.saxon.s9api.XdmNode node)` Creates an import information item from a node.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Frees-up used memory This method should not be invoqued on live objects in the DTS.
    `org.jdom.Content` | `generateNode(boolean relativize, java.net.URI base)` Serializes to a jdom Element the representation of the properties of this Information Item This method should be called from classes derived from this class
    `java.util.Iterator<XBRLAttribute>` | `getAttributes()` Access to attributes defined in this node.
    `XBRLTaxonomy` | `getContent()` Access to the [Content] property if the imported taxonomy is standard then this returns null.
    `java.lang.String` | `getFriendlyName()` Returns a string description that represents the element content in a form that users can understand.
    `java.lang.String` | `getNamespace()` Access to the imported namespace.
    `XBRLTaxonomy` | `getParent()` Access to the [Parent] property.
    `java.lang.String` | `getRawSchemaLocation()` Access to the schemaLocation content of the import statement.
    `java.lang.String` | `getSchemaLocation()` Access to the schemaLocation content of the import statement.

    - ### Methods inherited from class com.ihr.xbrl.om.XMLFragment

      `addAttribute, addChild, addFromRelationship, addNamespace, addNamespace, addToRelationship, addXMLChild, changeBase, checkBase, clone, clone, delAttribute, delAttribute, equals, equalXdmValues, evaluateBoolean, evaluateList, evaluateNode, evaluateNumber, evaluateString, generateId, generateNodeNamespacesAndAttributes, generateNodeValue, generatePrefix, getAllAttributes, getAttribute, getAttributeBooleanValue, getAttributeQNameValue, getAttributes, getAttributeStringValue, getAttributeValue, getBase, getBase, getBaseURI, getBooleanValue, getChild, getContainer, getContainerDocumentURI, getDeclaredNamespaces, getDocument, getElements, getElementsHashCode, getFragment, getFriendlyName, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getGenericLabelText, getId, getLang, getNamespaceURI, getNodeName, getNumberOfAttributes, getNumberOfElements, getNumberOfFromRelationships, getNumberOfToRelationships, getOrGenerateId, getPrefix, getPrefixes, getQNameValue, getRelationshipsBases, getRelationshipsChain, getRelationshipTypes, getStaticContext, getStaticNamespace, getStringValue, getToolTipText, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getValue, getXPathExecutable, getXPathNamespaceContext, getXPathToNode, getXPathToRoot, getXPointerElementScheme, getXPointerElementScheme, getXPointerShorthandScheme, getXPointerToNode, hashCode, isDead, isNamespaceDefined, isXdmDocumentAttached, objEquals, objHashCode, qNameToString, removeAttribute, removeChild, removeChild, removeFromRelationship, removeToRelationship, removeXMLChild, resetElements, resetHash, resolve_equal2, resolveHRef, resolveHRef, s_equal2, s_equal2, s_equal2, setAttributes, setBase, setDocument, setDocumentAndReload, setElements, setId, setLang, setNamespaceContext, setNamespaces, setNode, setNodeName, setParent, setRegenerateNodeIfnotFound, setValue, setValue, setVariablesDefined, size, thin, toString, valueEquals, xEqual`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### importDocNode

          public static javax.xml.namespace.QName importDocNode

      The import doc node.

  - ### Constructor Detail

    - #### XBRLImport

          public XBRLImport(XBRLTaxonomy parent,
                    net.sf.saxon.s9api.XdmNode node)

      Creates an import information item from a node.
      Parameters:
        `parent` - the parent
        `node` - the node

    - #### XBRLImport

          public XBRLImport(XBRLTaxonomy parent,
                    java.lang.String namespace,
                    java.lang.String schemaLocation)

      Creates an import from java code not using a s9api node.
      Parameters:
        `parent` - XBRLTaxonomy parent
        `namespace` - String
        `schemaLocation` - String URI to be used. Absolute URIs are preferred relativization can be done during serialization.

  - ### Method Detail

    - #### clear

          public void clear()
                     throws java.lang.Throwable

      Description copied from class: `XMLFragment`
      Frees-up used memory

      This method should not be invoqued on live objects in the DTS. It is automatically invoqued by the API when an object is no longer used and referenced by other objects. It is save not to call it directly.

      Overrides:
        `clear` in class `XMLFragment`
      Throws:
        `java.lang.Throwable` - the throwable

    - #### getNamespace

          public java.lang.String getNamespace()

      Access to the imported namespace. This is not in the XBRL Infoset
      Returns:
        String

    - #### getSchemaLocation

          public java.lang.String getSchemaLocation()

      Access to the schemaLocation content of the import statement. The URI returned is absolute and resolved against the base-uri of the import node
      Returns:
        String

    - #### getRawSchemaLocation

          public java.lang.String getRawSchemaLocation()

      Access to the schemaLocation content of the import statement. The URI returned is absolute and resolved against the base-uri of the inport node
      Returns:
        String

    - #### getContent

          public XBRLTaxonomy getContent()

      Access to the [Content] property if the imported taxonomy is standard then this returns null.
      Returns:
        XBRLTaxonomy

    - #### getAttributes

          public java.util.Iterator<XBRLAttribute> getAttributes()

      Description copied from class: `XMLFragment`
      Access to attributes defined in this node.

      The id attribute is skiped as there is a specific method to access to it and set a value.

      This method is overriten by super classes and shall add additional filters to exclude other attributes that belongs to the superclass

      Overrides:
        `getAttributes` in class `XMLFragment`
      Returns:
        Iterator<XBRLAttribute>
      See Also:
        `XMLFragment.getAllAttributes()`

    - #### getParent

          public XBRLTaxonomy getParent()

      Access to the [Parent] property.
      Specified by:
        `getParent` in interface `XMLHasParent`
      Overrides:
        `getParent` in class `XMLFragment`
      Returns:
        XBRLTaxonomy

    - #### generateNode

          public org.jdom.Content generateNode(boolean relativize,
                                      java.net.URI base)
                                        throws XBRLSerializationException

      Description copied from class: `XMLFragment`
      Serializes to a jdom Element the representation of the properties of this Information Item This method should be called from classes derived from this class
      Overrides:
        `generateNode` in class `XMLFragment`
      Parameters:
        `relativize` - boolean indicating if URIs should be relativized to the base URI (see next argument)
        `base` - the URI to which some attributes of this object should be relativided
      Returns:
        a clone of the surrounding jdom Element so it can be incorporated into multiple trees
      Throws:
        `XBRLSerializationException` - the XBRL serialization exception

    - #### getFriendlyName

          public java.lang.String getFriendlyName()

      Description copied from class: `XMLFragment`
      Returns a string description that represents the element content in a form that users can understand. This method may be overridden by parent classes.

      Remarks, this method may return very long names not suitable for user interface

      Overrides:
        `getFriendlyName` in class `XMLFragment`
      Returns:
        Non empty String. Internationalization is enabled